import os
import sys

SCRIPT_DIR = os.path.dirname(os.path.abspath(__file__))
sys.path.append(os.path.dirname(SCRIPT_DIR))

from common.helpers import replace

SENTRY_DSN = '%sentry_dsn%'
RELEASE_VERSION = '%release_version%'
RELEASE_TYPE = '%release_type%'
ORGANIZATION_KEY = '%organization_key%'
SERVICE_NAME = '%service_name%'

ELK_URL = '%elk_url%'
PLUGIN_PROJECT_NAME = '%plugin_project_name%'

if __name__ == "__main__":
    print(sys.argv)

    for key, value in os.environ.items():
        try:
            print("'{}': '{}'".format(key, value))
        except:
            #
            pass

    const_file_path = os.environ['CONST_FILE_PATH']


    try:
        sentry_dsn = os.environ['SENTRY_DSN']
        replace(const_file_path, SENTRY_DSN, sentry_dsn)
    except:
        #
        pass

    try:
        release_version = os.environ['new_version']
        replace(const_file_path, RELEASE_VERSION, release_version)
    except:
        #
        pass

    try:
        release_type = os.environ['env_type']
        replace(const_file_path, RELEASE_TYPE, release_type)
    except:
        #
        pass

    try:
        organization_key = os.environ['organization_key']
        replace(const_file_path, ORGANIZATION_KEY, organization_key)
    except:
        #
        pass

    try:
        service_name = os.environ['CI_PROJECT_TITLE']
        replace(const_file_path, SERVICE_NAME, service_name)
    except:
        #
        pass
